Certificate

Certificates (typically Peppol production or test certificates) are uploaded and managed by each organisation that runs in whitelabeled mode (see the Service Mode section for details on the service modes).

Each certificate is targeted access points or SMPs and is flagged as either a test or a production certificate.

Endpoints

For information only. Full, normative endpoint definitions in the Swagger documentation.

EndpointDescriptionRole
GET /orgs/:orgId/certificatesList all certificatesorgadmin
POST /orgs/:orgId/certificatesCreate (upload) a new certificateorgadmin
GET /orgs/:orgId/certificates/:certIdGet a specific certificateorgadmin
PUT /orgs/:orgId/certificates/:certIdUpdate a certificateorgadmin
POST /orgs/:orgId/certificates/batch_deleteDelete one or more certificatesorgadmin

Example Certificate datatype

{
  "type": "CERTIFICATE",
  "id": "41b549ac-b04e-410b-bfd4-afac1ba6a013",
  "name": "My Certificate",
  "transportProfile": "peppol-transport-as4-v2_0",
  "service": "AP",
  "environment": "test",
  "certPem": "-----BEGIN CERTIFICATE-----\n...\n-----END CERTIFICATE-----",
  "caChainPem": "-----BEGIN CERTIFICATE-----\n...\n-----END CERTIFICATE-----",
  "description": "Certificate for accessing Peppol test environment",
  "validFrom": "2025-06-17T00:00:00Z",
  "validUntil": "2026-01-01T00:00:00Z",
  "orgId": "f306a329-2911-48c4-917c-a5e70958be15",
  "createdBy": {
    "userId": "b334b8c2-f051-703c-7ce3-74c864252b15"
  },
  "createdAt": "2025-06-17T14:11:47.202Z"
}